<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $conf, $user;

load_language('plugin.lang', FLASHGAL_PATH);
include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
include_once(FLASHGAL_PATH . 'include/functions.inc.php');
include_once(FLASHGAL_PATH . 'admin/functions.inc.php');
$my_base_url = get_admin_plugin_menu_link(__FILE__);

get_flash_modules_language();

// +-----------------------------------------------------------------------+
// |                            Tabsheet
// +-----------------------------------------------------------------------+
if (!isset($_GET['tab']))
    $page['tab'] = 'manage';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('manage',
               l10n('flashgal_mods_management'),
               $my_base_url.'&amp;tab=manage');
$tabsheet->add('new',
               l10n('flashgal_add_mod'),
               $my_base_url.'&amp;tab=new');
$tabsheet->select($page['tab']);
$tabsheet->assign();

//Ajout d'un module
if (isset($_POST['addModule']) and !is_adviser())
{
	if (!isset($_POST['module']))
  {
		array_push($page['errors'], l10n('flashgal_error_no_mod_selected'));
	}
  else
  {
    redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadd_module.php&type=' . $_POST['module']);
	}
}

//Suppression d'un module
if (isset($_GET['del']) and !is_adviser())
{
	pwg_query('DELETE FROM ' . FLASHGAL_TABLE . ' WHERE id = ' . $_GET['del'] . ' LIMIT 1;');
  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
}

//cyclage sur le parametre on_home
if (isset($_GET['id']) and isset($_GET['home']) and !is_adviser())
{
    $home = $_GET['home'];
    $global = isset($_GET['global']) ? $_GET['global'] : 'selective';
    // ordre : homeOFF -> HomeON -> HomeONGlobal
    if ($home == 'true' and $global == 'selective')
        $global = 'global';
    elseif ($home == 'true' and $global == 'global')
        $home = 'false';
    else
    {
        $home = 'true';
        $global = 'selective';
    }

	pwg_query( 'UPDATE ' . FLASHGAL_TABLE . '
                SET on_home="' . $home. '", on_home_global="' . $global . '"   
                WHERE id=' . $_GET['id'] . ' LIMIT 1');

  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
}
//cyclage sur le parametre on_cats
if (isset($_GET['id']) and isset($_GET['cats']) and !is_adviser())
{
    // ordre : catsOFF -> catsON 
	pwg_query( 'UPDATE ' . FLASHGAL_TABLE . '
                SET on_cats="' . ($_GET['cats'] == 'true' ? 'false' : 'true'). '" 
                WHERE id=' . $_GET['id'] . ' LIMIT 1');

  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
}

if (isset($_GET['id']) and isset($_GET['recurs']) and !is_adviser())
{
    // ordre : recursOFF -> recursON 
	pwg_query( 'UPDATE ' . FLASHGAL_TABLE . '
                SET recurs_cats="' . ($_GET['recurs'] == 'true' ? 'false' : 'true'). '" 
                WHERE id=' . $_GET['id'] . ' LIMIT 1');

  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . FLASHGAL_DIR . '%2Fadmin%2Fadmin.php');
}

//Récupération des modules disponibles
$modules = get_flashgal_modules();

// Include file
include(FLASHGAL_PATH.'admin/'.$page['tab'].'.php');

?>